﻿
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace iBackupExplorer.Data
{
    class AdressBookContext : DbContext
    {
        public DbSet<AdressBook> AdressBook { get; set; }
        public DbSet<ABMultiValue> ABMultiValue { get; set; }
        public DbSet<ABMultiValueLabel> ABMultiValueLabel { get; set; }
        public DbSet<ABMultiValueEntry> ABMultiValueEntry { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}