﻿
using System;
using System.ComponentModel.DataAnnotations.Schema;
using iBackupExplorer.Utils;

namespace iBackupExplorer.Data
{
    class Infos
    {
        public string fileName="Info.plist ";
        public string BuildVersion  { get; set; }
        public string DeviceName  { get; set; }
        public string DisplayName  { get; set; }
        public DateTime LastBackup  { get; set; }
        public string PhoneNumber  { get; set; }
        public string ProductType  { get; set; }
        public string iOS  { get; set; }

        [NotMapped]
        public iOSVersion iOSVersionEnum { get; set; }
    }
}
