﻿
using System;
using System.Collections;
using iBackupExplorer.Data;
using iBackupExplorer.Utils;

namespace iBackupExplorer.Services
{
    class SmsServices
    {
        public static IList getSms(iOSVersion version)
        {
            switch (version)
            {
                case iOSVersion.iOS_5:
                    return SmsDal.GetInstance.getAllSms5();
                case iOSVersion.iOS_6:
                    return SmsDal.GetInstance.getAllSms6();
                default:
                    throw new ArgumentOutOfRangeException("version");
            }
           
        }
    }
}
