﻿
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace iBackupExplorer.Data
{
    class Call
    {
        [Key]
        public long ROWID { get; set; }
        public String address { get; set; }
        public int date { get; set; }
        public int duration { get; set; }
        public int flags { get; set; }
        [NotMapped]
        public String FullName { get; set; }
        [NotMapped]
        public String LongDate { get; set; }
        [NotMapped]
        public String LongDuration { get; set; }
        [NotMapped]
        public String Direction { get; set; }
    }
}
