﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace iBackupExplorer.Data
{
    internal class CallsContext : DbContext
    {
        public DbSet<Call> Call { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}