﻿
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace iBackupExplorer.Data
{
    class NotesContext: DbContext
    {
        public DbSet<ZNote> ZNote { get; set; }
        public DbSet<ZNoteBody> ZNoteBody { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}
