﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace iBackupExplorer.Data
{
    class SmsContext6 : DbContext
    {
        public DbSet<Message6> Messages6 { get; set; }
        public DbSet<SmsHandle> SmsHandle { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}